Description

Avtigetwriillw To €Eng TPoBAnua: Xe pPeECKLA EYKATAOTACN TNG MAATPOPHAG, pou eugavilel 120 xpnoteg online. Kavovtag
refresh diarmotwvw nwg To voupepo arlalel ouveXwg Kat dev Taiptalel ye Toug ainbvouq online emiokemnteg. Me Atyo wa&o
€10a wg 0 aplBuog autog Byalvel peTpwvtag Ta session files. To mpofAnua ewvat wg n OLKN JOU eyKataotaon €lval o€ shared
hosting environment kat n default Tiun Tou session_save_path() ewval /tmp. ArtoteAeopua, oL TIEPLOCOTEPEG EPAPHOYEG OTOV Server
dev aAhalouv Tnv Twn autn kat n cuvaptnon getOnlineUsers() oto main.lib.php otnv celpa 2416 petpact Ta session files oAwv
TWV EPAPUOYWV OTOV Server.

2Tnv ouvaptnon session_save_path() propet va dobet custom path, aAAa avagpepovtal dlapopa Bepatakia kat oTo php.net kat oe
dLagopa questions oto stackoverflow... Mpenet va epeuvnBel, av BeAete va unootnplletal n yetpnon online xpnotwv oe shared
hosting epBaAiovta.

Ekava peplkeg dokieg arno aAho domain Kat popTwaoa To session Tou admin aro 1o eclass, oto aAho domain. Agv untapyouv
TIOAU euaLoBnteg MAnpogopLeg alAa dev val "Bepa acgalelag” auto?

History

#1 - 02/12/2013 13:37 - Yannis Exidaridis

Mpaypartt dev To eLXape okePTeL 0TL o€ shared hosting enviroments dev Ba Aettoupyel cwoTta. To KPATAPE AVOLXTO HEXPL VA OLEPEUVNOOUNE TL
MTIOPEL VA YLVEL OE TETOLEG MEPLITTWOELG.

#2 - 28/01/2014 23:49 - Yury Kherimyan

- Subject changed from Online xpnoteg to Online xpnoteg oc shared hosting environments

#3 - 28/01/2014 23:50 - Yury Kherimyan
- Priority changed from Kavovikn to XaunAn

#4 - 29/01/2014 11:16 - Thanos Kyritsis

©a pnopoucape va pLEouPE pla patia Tt kavouv oha auta ta PHP forums (rx phpBB, vBulletin, kAm) kat priopouv kat detxvouv Tooot ewvat online
o€ Pla 0eOOMEVN XPOVLKN GTLYUN, YLa va Tapoupe WOEEG. Av Kal TIOAU poBapatl Twg 8E YLVETAL CWOoTA XWPLG KWALKA TIOU va YpageL OE TILVaKa
Baong kat va Kpatast pnTeg EYypAPEG yla Ta TpexovTa logins.

#5 - 10/02/2014 18:27 - Yury Kherimyan

Mepipeva va kavel To link aro To commit, alAa dev eppavidel Tt amno To http://hg.gunet.gr/openeclass amno g 6/2/2014 (xahaoe kati?)
Anyway oto €§ng changeset: http://hg.gunet.gr/openeclass/rev/2e33234bdbb4, BeAtiwvw Tn katactacn aAla to TpofAnua dev Auvetal MANPWG.
To oxeTiko commit message:

Little code change in getOnlineUsers. Checking only files starting with sess_ (SESSION files)
and if script executor is file's owner count them as an online user. In shared hosting enviroments (#124)
there are a lot of session files in /tmp but this way only those who belong to your package is counted.

Still not the best solution because if you have other applications in your hosting package, saving sessions
those will be counted too. However, number is (significantly) more accurate than before.

#6 - 13/02/2014 10:12 - Yannis Exidaridis

H aAAayn pe xpnon tng getmyuid() dev Aettoupyet owota. O Aoyog etvat ott To owner uid dev ewval To LdLo pe To effective uid (deg kat
http://www.php.net/manual/en/function.getmyuid.php). Agatpeca Tov EAEYXO0.
